%global momorel 4
Summary: evince document viewer
Name: evince

Version: 2.30.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/File
URL: http://www.gnome.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: libgnomeui-devel >= 2.24.1
BuildRequires: gnome-vfs2-devel >= 2.24.1
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: libgnomeprintui22-devel >= 2.18.4
BuildRequires: dbus-devel >= 1.2.4
BuildRequires: nautilus-devel >= 2.26.0
BuildRequires: ghostscript-devel
BuildRequires: openssl-devel >= 0.9.8g
BuildRequires: djvulibre-devel >= 3.5.22
BuildRequires: kpathsea-devel >= 2009
BuildRequires: libspectre-devel >= 0.2.2
BuildRequires: poppler-glib-devel >= 0.14.0
Requires: dbus
Requires: gamin
Requires(pre): hicolor-icon-theme gtk2

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.  For more general
information about Evince please visit our website at
http://www.gnome.org/projects/evince/

%package libs
Summary: %{name}-libs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description libs
%{name}-libs

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel


%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-gtk-doc \
    --enable-dbus \
    --enable-nautilus \
    --enable-pdf \
    --enable-tiff \
    --enable-djvu \
    --enable-dvi \
    --enable-t1lib \
    --enable-pixbuf \
    --enable-comics \
    --enable-impress \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-introspection \
    --enable-djvu
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas \
    %{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
    %{_sysconfdir}/gconf/schemas/evince.schemas \
    > /dev/null || :
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
	%{_sysconfdir}/gconf/schemas/evince.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
	%{_sysconfdir}/gconf/schemas/evince.schemas \
	> /dev/null || :
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-comics.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-djvu.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-ps.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas
%{_sysconfdir}/gconf/schemas/evince.schemas
%{_libdir}/nautilus/extensions-2.0/*.so
%{_libdir}/nautilus/extensions-2.0/*.la
%{_libdir}/%{name}
%{_libexecdir}/evince-convert-metadata
%{_libexecdir}/evinced
%{_datadir}/applications/evince.desktop
%{_datadir}/evince
%{_datadir}/gnome/help/evince
%{_datadir}/locale/*/*/*
%{_datadir}/omf/evince
%{_bindir}/evince*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/dbus-1/services/org.gnome.evince.Daemon.service
%{_mandir}/man1/%{name}.1.*

# gir
%{_libdir}/girepository-1.0/*.typelib

%files libs
%defattr(-,root,root)
%{_libdir}/libevdocument.so.*
%{_libdir}/libevview.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-, root, root)
%{_includedir}/evince
%{_libdir}/*.so
%{_libdir}/pkgconfig/evince-document-*.pc
%{_libdir}/pkgconfig/evince-view-*.pc
%{_datadir}/gtk-doc/html/libevdocument-*
%{_datadir}/gtk-doc/html/libevview-*
%{_datadir}/gtk-doc/html/%{name}

#gir
%{_datadir}/gir-1.0/*.gir

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.3-4m)
- full rebuild for mo7 release

* Mon Aug  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.30.3-3m)
- rebuild against kpathsea-2009 (TeX Live)

* Wed Jul 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.3-2m)
- split libs

* Thu Jun 24 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.3-1m)
- update to 2.30.3

* Wed Jun 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2
- delete patch0 (merged)

* Wed Jun  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-5m)
- rebuild against poppler-0.14.0

* Mon May 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-4m)
- add BuildRequires: poppler-glib-devel

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-3m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Tue May 11 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- imort patch0 from fedora

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Tue Apr 28 2010 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.30.0-2m)
- fix strange BuildRequires

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0
- delete gtk-2.20-patch

* Sat Apr 17 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.29.91-2m)
- add patch for gtk-2.20 by gengtk220patch

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.5-1m)
- update to 2.29.5

* Tue Dec 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.2-1m)
- update to 2.28.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed May 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.2-2m)
- rebuild against djvulibre-3.5.22

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Thu Apr 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Sun Oct 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.24.1-2m)
- add BuildPreReq: libspectre-devel

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Mon Jul 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.2-3m)
- change %%preun script

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.22.2-2m)
- add BuildPreReq: kpathsea-devel

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Mon Apr 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.22.1.1-1m)
- update to 2.22.1.1
- rebuild against poppler-0.8.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0
- comment out patch0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.2-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri Sep  7 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.19.92-1m)
- update to 2.19.92

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Wed Jun 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-2m)
- add Requires: gamin

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-2m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-1m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-1m)
- update to 0.7.2 (unstable)

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.1-2m)
- rebuild with djvulibre to enable djvu support

* Tue Oct 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Mon Oct  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-4m)
- add post script (gtk-update-icon-cache)

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-3m)
- remove category Application (desktop)

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- modify patch 0 (text/plain)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-4m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.3-3m)
- rebuild against expat-2.0.0-1m

* Wed Jun 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-2m)
- enable commic
- delete devel package
- enable web browser to displauy pdf, but this is bug of gnome-vfs
-- all file can open evince (umm shome thing wrong)

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.7-3m)
- rebuild against dbus-0.61

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-2m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7

* Wed Jan  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-6m)
- add --disable-scrollkeeper --disable-schemas-install  to %configure

* Tue Jan  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- rebuild against dbus-0.60-2m

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- use /sbin/ldconfig instead of %%post(un) -p /sbin/ldconfig

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-4m)
- add %%post and %%preun for schemas
- add BuildRequires: ghostscript-devel

* Sun Nov 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-3m)
- delete "NoDisplay" entry from evince.desktop file

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- start
- GNOME 2.12.1 Desktop
